Package ghidra.graph.viewer.actions

# Class VgVertexContext<V extends VisualVertex>

java.lang.Object
docking.DefaultActionContext
ghidra.graph.viewer.actions.VgActionContext
ghidra.graph.viewer.actions.VgVertexContext<V>

Type Parameters:
  `V` - the vertex type

All Implemented Interfaces:
  `ActionContext`, `VisualGraphActionContext`, `VisualGraphVertexActionContext<V>`

public class VgVertexContext<V extends VisualVertex> extends VgActionContext implements VisualGraphVertexActionContext<V>
Context for a `VisualGraph` when a vertex is selected

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VgVertexContext(ComponentProvider provider, V v)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `V`
  `getVertex()`
  `boolean`
  `shouldShowSatelliteActions()`
  Returns true actions that manipulate the satellite viewer should be enabled for this context

  ### Methods inherited from class docking.DefaultActionContext

  `getComponentProvider, getContextObject, getEventClickModifiers, getMouseEvent, getSourceComponent, getSourceObject, hasAnyEventClickModifiers, setContextObject, setEventClickModifiers, setMouseEvent, setSourceComponent, setSourceObject, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VgVertexContext

    public VgVertexContext(ComponentProvider provider, V v)

- ## Method Details

  - ### getVertex

    public V getVertex()
    Specified by:
      `getVertex` in interface `VisualGraphVertexActionContext<V extends VisualVertex>`

  - ### shouldShowSatelliteActions

    public boolean shouldShowSatelliteActions()
    Description copied from class: `VgActionContext`
    Returns true actions that manipulate the satellite viewer should be enabled for this context
    Specified by:
      `shouldShowSatelliteActions` in interface `VisualGraphActionContext`
    Specified by:
      `shouldShowSatelliteActions` in interface `VisualGraphVertexActionContext<V extends VisualVertex>`
    Overrides:
      `shouldShowSatelliteActions` in class `VgActionContext`
    Returns:
      true actions that manipulate the satellite viewer should be enabled for this context